欢迎光临
我们一直在努力

XP系统谷歌浏览器一直提示“adobe flash player 因过期而遭阻止”解决方法

折腾好几天的问题终于找到解决方法,一下为我测试过网络上一些方法,以及最终的解决方案,如果还有相同的问题可以仅供参考,完美解决Chrome浏览器adobe flash player插件过期遇到阻止的问题。

adobe flash player因过期而遭到阻止

  1. 版本选择下载:在百度搜索 ” adobe flash player ppapi “,下载对应操作系统的PPAPI版, 这个也就是Chrome专用版版本,安装,然后重启浏览器,完成。
  2. FLASH安装之后, 在system32\Macromed\Flash目录中可以看到flash的相关文件, 其中有一个pepflashplayer32_27_0_0_183.dll, 这个就是最新版的PPAPI flash插件。
  3. 将pepflashplayer32_27_0_0_183.dll文件和manifest.json文件复制一下, 新建一个文件夹命名为27.0.0.183(非常重要), 把这两个文件放在这个文件夹中。很重要的一步, 谷歌和Adobe对flash动态库的命名不同, 必须把pepflashplayer32_22_0_0_192.dll改名为pepflashplayer.dll。
  4. 将27.0.0.183这个文件夹复制到Chrome程序的用户主目录中, 在我的xp系统中是C:\Documents and Settings\Administrator\Local Settings\Application Data\Google\Chrome\User Data\PepperFlash这个目录中。如果之前有旧版的flash文件, 可以直接删除, 只保留27.0.0.183这个文件夹就行。

启动Chrome, 输入chrome://plugins/, 可以看到已经用上最新版的flash了。

解决flash过期提示

1、有些人喜欢用绿色版的chrome, 那必须注意不能将新版flash的动态库放在chrome程序目录中, 比如chrome\Chrome-bin\35.0.1916.153\PepperFlash, 放在这里是不行的(我试过放在这里其实chrome已经用上新版了, 但还是一样会提示过期)

2、必须有一个带有flash版本号的文件夹, 直接将动态库放在PepperFlash下是无效的。


以下为我测试过的adobe flash player 因过期而遭阻止”方法。

目前网络上流传的几种方法其实并不能完美解决问题:

1,浏览器地址栏输入 chrome://plugins 停用过期的 flash player插件,相当于没解决问题;

2,更新chrome浏览器,其实这个办法很多人都懂,但是也没有用;(谷歌放弃进行更新,只能更新到49的版本)

3、浏览器地址栏输入“chrome://components/”检查是否有更新,方法无效。 (用的代理也是无法更新,貌似谷歌不支持更新。)

4,下载官方adobe flash player 安装更新,试过都知道没用;(但必须下载对应的谷歌版本,下载安装备用)。

5,Chrome.exe快捷方式加上指令“ –allow-outdated-plugins”不行;其实问题的本质在于,Chrome支持的是PPAPI版本,而不是NPAPI版本或者ActiveX;本人试了N多办法,最终完美解决这个问题,写出来希望对大家有帮助。

未经允许不得转载:许佳文博客 » XP系统谷歌浏览器一直提示“adobe flash player 因过期而遭阻止”解决方法

分享到:更多 ()

许佳文博客-关注搜索引擎和站长的自媒体博客

联系我们联系我们